
<template>
	<view class="big_out">
		<!-- 左上角返回按钮 -->
		<!-- 这里为什么要加4px，是因为这个左箭头<的高度为16rpx需要下降一半，就是8rpx=4px,可以自己试一下，我这里没有问题 -->
		<!-- <view class="back"  :style="'margin-top:'+ (titletop+4)+'px'"  @click="back_page"> 
			<view class="back_img">
			</view> -->
			
			<!-- <view class="back_text">
				<slot>
					{{backtext}}
				</slot>
			</view> -->
		<!-- </view> -->
			<view class="wx-nav">
				<view class="iconf">返回</view>
				<text>内容</text>
				<view class="iconf">右侧</view>
			</view>
		
	</view>
</template>
 
<script>
	export default {
		name: "backPages",
		props: {
			backtext: String,
		},
 
		data() {
			return {
				titleheight: 0,
				titletop: 0
			};
		},
        //这里原来使用的onLoad一直有bug（不重新进入页面就会错位），
        // 后来使用onShow  更改于2022/09/30  以后再修改
		onShow() {
			//加载时调用 getHeight
			this.getHeight();
		},
		methods: {
			//利用胶囊按钮定位宽高
			getHeight() {
				let res = uni.getMenuButtonBoundingClientRect();
				this.titletop = res.top;
				this.titleheight = res.height
			},
 
			//直接返回上一级
			back_page() {
				uni.navigateBack({
					delta: 1 // 返回的页面数
				})
			},
		}
 
	}
</script>
 
<style scoped lang="scss">
	.wx-nav{
		display: flex;
		height: 150rpx;
		line-height: 150rpx;
		text-align: center;
		width: 100%;
		justify-content: space-between;
		padding: 0 20rpx ;
	}
	 

</style>